Edit application
- To edit the application you must have the admin permission.
- For port edition, if you provide a port id, we will update the corresponding port. If you don’t we will create a new one. If you remove a port from the payload, we will delete it.
- For storage edition, if you provide a storage id, we will update the corresponding storage. If you don’t we will create a new one. If you remove a storage from the payload, we will delete it.
Documentation Index
Fetch the complete documentation index at: https://qovery-argocd-documentation.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Application ID
Body
name is case insensitive
give a description to this application
DOCKER requires dockerfile_path
DOCKER The path of the associated Dockerfile
unit is millicores (m). 1000m = 1 cpu
1250
unit is MB. 1024 MB = 1GB
1024
x >= 01
Minimum number of instances running. This resource auto-scale based on the CPU and Memory consumption. Note: 0 means that there is no application running.
x >= 0Maximum number of instances running. This resource auto-scale based on the CPU and Memory consumption. Note: -1 means that there is no limit.
Specify if the environment preview option is activated or not for this application.
If activated, a preview environment will be automatically cloned at each pull request.
If not specified, it takes the value of the auto_preview property from the associated environment.
optional entrypoint when launching container
Specify if the application will be automatically updated after receiving a new commit.
Icon URI representing the application.
The target build stage in the Dockerfile to build
Response
Edit application
name is case insensitive
Icon URI representing the application.
type of the service (application, database, job, ...)
APPLICATION, DATABASE, CONTAINER, JOB, HELM, TERRAFORM, ARGOCD_APP Maximum cpu that can be allocated to the application based on organization cluster configuration. unit is millicores (m). 1000m = 1 cpu
16000
Maximum memory that can be allocated to the application based on organization cluster configuration. unit is MB. 1024 MB = 1GB
16384
x >= 0give a description to this application
DOCKER requires dockerfile_path
DOCKER The path of the associated Dockerfile. Only if you are using build_mode = DOCKER
unit is millicores (m). 1000m = 1 cpu
1250
unit is MB. 1024 MB = 1GB
1024
x >= 0Minimum number of instances running. This resource auto-scale based on the CPU and Memory consumption. Note: 0 means that there is no application running.
x >= 0Maximum number of instances running. This resource auto-scale based on the CPU and Memory consumption. Note: -1 means that there is no limit.
Specify if the environment preview option is activated or not for this application.
If activated, a preview environment will be automatically cloned at each pull request.
If not specified, it takes the value of the auto_preview property from the associated environment.
optional entrypoint when launching container
Specify if the application will be automatically updated after receiving a new commit.
The target build stage in the Dockerfile to build